Package com.github.lgooddatepicker.optionalusertools

## Class DateInterval

- java.lang.Object
- - com.github.lgooddatepicker.optionalusertools.DateInterval

    public class DateInterval
    extends java.lang.Object

DateInterval, This class represents an interval between two dates.

### Field Summary

Fields
`java.time.LocalDate` `firstDate` firstDate, This is the first date in the interval.
`java.time.LocalDate` `lastDate` lastDate, This is the last date in the interval.

### Constructor Summary

Constructors
`DateInterval()` Constructor (Empty), This will create an empty DateInterval instance.
`DateInterval​(java.time.LocalDate intervalStart, java.time.LocalDate intervalEnd)` Constructor (Normal), This will create a date interval using the supplied dates.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()` isEmpty, This will return true if both dates are null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### firstDate

    public java.time.LocalDate firstDate

firstDate, This is the first date in the interval.

#### lastDate

    public java.time.LocalDate lastDate

lastDate, This is the last date in the interval.

### Constructor Detail

#### DateInterval

    public DateInterval()

Constructor (Empty), This will create an empty DateInterval instance. An empty date interval has both dates set to null.

#### DateInterval

    public DateInterval​(java.time.LocalDate intervalStart,
                        java.time.LocalDate intervalEnd)

Constructor (Normal), This will create a date interval using the supplied dates.

### Method Detail

#### isEmpty

    public boolean isEmpty()

isEmpty, This will return true if both dates are null. Otherwise, this returns false.